Bug 534378 - (RHQ-1180) Remote Client - Remote API
Remote Client - Remote API
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On: RHQ-1181 RHQ-2165 RHQ-2190 RHQ-2191 RHQ-2192 RHQ-2193 RHQ-2194 RHQ-2195 RHQ-2196 RHQ-2197 RHQ-2198 RHQ-2199 RHQ-2200 RHQ-2408
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 09:36 EST by Jay Shaughnessy
Modified: 2012-06-18 16:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 17:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
remoteapis_30-jul.zip (30.70 KB, application/x-zip-compressed)
2009-07-01 08:01 EDT, Asaf Shakarchi
no flags Details
resourcemanager-29-jun.patch (2.90 KB, text/plain)
2009-07-01 10:36 EDT, Noam
no flags Details

  None (edit)
Description Jay Shaughnessy 2008-11-25 09:36:00 EST
To support Remote Clients we need to expose a Remote API.  This is a set of methods/services exposed via jboss remoting for java clients and jboss WS for web service clients written in a variety of languages.

This is an umbrella for work involved in the feature work described here:  

  http://jopr.org/confluence/display/RHQ/Design-API
Comment 1 Simeon Pinder 2009-06-02 12:23:04 EDT
Pulling in additional tasks that already addressed some of the functional areas.
Comment 2 Asaf Shakarchi 2009-07-01 08:01:43 EDT
patches for current changes of the remote apis,
Will be comitted after executing/writing more tests,
Comment 3 Joseph Marques 2009-07-02 17:20:34 EDT
clean guidelines:

* by convention, getXXX methods should expect to return 0 or 1 objects (a single object or null)
* by convention, findXXX methods should expect to return 0, 1, or many objects (a list of objects, which could be empty)
* do not throw exceptions if they are unnecessary (throws FetchException when no RHQ-specific exception can occur in that method)
* try to always throw runtime exceptions (in the QueryGenerator things like NoSuchMethod/FieldException should be wrapped in appropriate runtime exceptions or subclasses thereof)
* try to hide internal constructs/elements where possible (i.e., use logout(Subject) not logout(sessionId) in the remote API)
* do not use underscore '_' for internal variable names (java man prefers camelCasedTokens)
* don't unnecessarily rename parameters in the API signature (subject -> sessionSubject)
* if you're going to wrap the exception in a generic one, make sure to include all current context, i.e....
** do -- catch (SomeException se) { throw new UpdateException(se); }
** instead of -- catch (SomeException se) { new UpdateException("failed to update"); }
* DO NOT change the signature of local methods if it can be helped (i.e., SubjectManagerBean.deleteUsers(Subject, Integer[]) was changed  to catch all possible exceptions and wrapped them in a DeleteException, but this broken unit tests which were expecting it to throw a PermissionException (which is a distinct classification/errorType from a general DeleteException)
Comment 4 Red Hat Bugzilla 2009-11-10 15:27:26 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1180
Imported an attachment (id=368504)
Imported an attachment (id=368505)
This bug is incorporated by RHQ-2125
Comment 5 Jay Shaughnessy 2010-07-07 17:30:55 EDT
The work under this umbrella is done.

Note You need to log in before you can comment on or make changes to this bug.